﻿@model ICollection<Lectures.Models.Category>
@{
    ViewData["Title"] = "Index";
}

<h1>@ViewBag.Title</h1>

<div>
    <p class="alert alert-info">Registered categories: <span><b>@Model.Count</b></span></p>
</div>
<div class="container">
    <table class="table users-table">
        <thead class="thead-dark">
            <tr>
                <td>
                    Name
                </td>
                <td>
                    Actions
                </td>
            </tr>
        </thead>
        <tbody>
            @foreach (var category in Model)
            {
                <tr>
                    <td>
                        @category.Name
                    </td>
                    <td class="actions">
                        <a asp-action="Edit" class="btn btn-info" asp-route-id="@category.Id">Edit</a>
                        <form asp-action="Remove" method="post">
                            <input type="hidden" value="@category.Id" name="id" />
                            <button type="submit" class="btn btn-danger">Remove</button>
                        </form>
                    </td>
                </tr>
            }
        </tbody>
    </table>

    <a asp-action="Create" class="btn btn-success">Add category</a>
</div>